Page MenuHomePhabricator

Failure to regenerate Order ID on iDEAL form
Closed, ResolvedPublic1 Story Points

Description

When a donor attempts to redirect to an iDEAL bank and something goes wrong, we should give them a new Order ID, otherwise they will start accumulating these errors on the backend:
400490 INSERTATTEMPT_MAX_NR_OF_ATTEMPTS_REACHED

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterWIP For cash, rtbt, ew, refresh order ID on repeats
mediawiki/extensions/DonationInterface : masterMinimalist iDEAL order id refresh fix

Related Objects

Event Timeline

awight created this task.Apr 6 2016, 10:19 PM
DStrine raised the priority of this task from Medium to High.Apr 7 2016, 8:21 PM
DStrine set the point value for this task to 1.
Ejegg claimed this task.Apr 7 2016, 10:09 PM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Ghostbusting board.
Ejegg added a project: Unplanned-Sprint-Work.

Change 282295 had a related patch set uploaded (by Ejegg):
WIP For cash, rtbt, ew, refresh order ID on repeats

https://gerrit.wikimedia.org/r/282295

Change 282297 had a related patch set uploaded (by Ejegg):
Minimalist iDEAL order id refresh fix

https://gerrit.wikimedia.org/r/282297

Change 282297 merged by jenkins-bot:
Minimalist iDEAL order id refresh fix

https://gerrit.wikimedia.org/r/282297

Change 282295 abandoned by Ejegg:
WIP For cash, rtbt, ew, refresh order ID on repeats

Reason:
went with simpler fix

https://gerrit.wikimedia.org/r/282295

Ejegg added a comment.Apr 14 2016, 7:46 PM

Haven't seen any since 4/11, but that might have something to do with T126812

Ejegg closed this task as Resolved.Apr 27 2016, 10:06 PM

Saw 1 of those errors on 4/24 and one on 4/26, but the new logic got the donors new order IDs and they were able to donate.

mmodell removed a subscriber: awight.Jun 22 2017, 9:50 PM